import { LitElement } from 'lit';
export declare const ICON_500PX = "icon-500px";
export declare class Icon500pxComponent extends LitElement {
    static readonly defaultTagName = "icon-500px";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
